vmware esxi 55 upgrade error

How to fix VMWare ESXi 5.5 Upgrade error


Hey guys. Today we will show you how to fix ESXi 5.5 Upgrade error. If you are trying to upgrade your VmWare ESXi to 5.5 U2d version, you might see an error. This problem occurs mainly when you are using HP custom image for VMWare (VMware-ESXi-5.5.0-Update2-2403361-HP-550.9.2.27-Mar2015.iso).

Here are some steps to deal with it:

1. Reboot your Host

It will run the previous version of ESXi. Login to it via SSH. Make sure that root login via SSH is enabled.

2. Check all VIBs

~# esxcli software vib list

Check all VIBs with “net” in the name:

~# esxcli software vib list | grep net

Make sure that Mellanox doesn’t use any uplinks. You need to display a list of network uplinks installed on the server:

~# esxcli network nic list

Remove net-mst VIB/offline bundle driver

~# esxcli software vib remove -n net-mst

Actually, you can execute only the last command, it will be enough. The other commands are using just for reference.

Once it is done, you will see a confirmation:
«Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
VIBs Removed: Mellanox_bootbank_net-mst_2.0.0.0-1OEM.550.0.0.472560»

3. Reboot your host

4. Boot from HP Custom ESXi Installation Image / CD

Now you can upgrade your VMWare without getting errors.